diff options
author | Jeremy Benoist <jeremy.benoist@gmail.com> | 2019-06-12 21:33:53 +0200 |
---|---|---|
committer | Jeremy Benoist <jeremy.benoist@gmail.com> | 2019-06-14 10:13:40 +0200 |
commit | 7a82953b3e34e07df2a6ac8b09d01b47db5da879 (patch) | |
tree | 0c20a31eba8f76e638f455cd7984c55541ad245f /scripts | |
parent | 50bcf225e906f0a499f741fc1407715e966d28f5 (diff) | |
download | wallabag-7a82953b3e34e07df2a6ac8b09d01b47db5da879.tar.gz wallabag-7a82953b3e34e07df2a6ac8b09d01b47db5da879.tar.zst wallabag-7a82953b3e34e07df2a6ac8b09d01b47db5da879.zip |
Check if .git directory exist
If that folder doesn’t exist, it means the udpate script won’t be able to run because it uses git to retrieve the update.
Diffstat (limited to 'scripts')
-rwxr-xr-x | scripts/require.sh | 2 | ||||
-rwxr-xr-x | scripts/update.sh | 6 |
2 files changed, 7 insertions, 1 deletions
diff --git a/scripts/require.sh b/scripts/require.sh index c48ab936..63c38132 100755 --- a/scripts/require.sh +++ b/scripts/require.sh | |||
@@ -1,6 +1,6 @@ | |||
1 | #! /usr/bin/env bash | 1 | #! /usr/bin/env bash |
2 | # File used to check dependencies | ||
3 | 2 | ||
3 | # Check for composer | ||
4 | if [ ! -f composer.phar ]; then | 4 | if [ ! -f composer.phar ]; then |
5 | echo "composer.phar not found, we'll see if composer is installed globally." | 5 | echo "composer.phar not found, we'll see if composer is installed globally." |
6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | 6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } |
diff --git a/scripts/update.sh b/scripts/update.sh index 3ef10439..edebe5c5 100755 --- a/scripts/update.sh +++ b/scripts/update.sh | |||
@@ -37,6 +37,12 @@ fi | |||
37 | 37 | ||
38 | . "$REQUIRE_FILE" | 38 | . "$REQUIRE_FILE" |
39 | 39 | ||
40 | # Check for wallabag .git folder | ||
41 | if [ ! -d .git ]; then | ||
42 | echo "Can not update because wallabag wasn't installed using git (see https://doc.wallabag.org/en/admin/upgrade.html#upgrade-on-a-shared-hosting). Aborting."; | ||
43 | exit 1; | ||
44 | fi | ||
45 | |||
40 | rm -rf var/cache/* | 46 | rm -rf var/cache/* |
41 | git fetch origin | 47 | git fetch origin |
42 | git fetch --tags | 48 | git fetch --tags |